Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package fsc
  Definition Classes
    nsc
- CompileClient
- CompileOutputCommon
- CompileServer
- CompileSocket
- DaemonKiller
- FscSettings
- HasCompileSocket
- OfflineCompilerCommand
- ResidentScriptRunner
- Socket
- SocketServer
- StandardCompileClient
- StandardCompileServer

c

scala.tools.nsc.fsc

# CompileSocket

###
Companion object CompileSocket

#### class CompileSocket extends CompileOutputCommon

This class manages sockets for the fsc offline compiler.

Source
  CompileSocket.scala

Linear Supertypes
CompileOutputCommon, AnyRef, Any
Known Subclasses
CompileSocket
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CompileSocket
2. CompileOutputCommon
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CompileSocket()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CompileSocket toany2stringadd[CompileSocket] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CompileSocket, B)
   Implicit
     This member is added by an implicit conversion from CompileSocket toArrowAssoc[CompileSocket] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def cmdName: String
   Attributes
     protected
9.  lazy val compileClient: StandardCompileClient
   Attributes
     protected
10.  def deletePort(port: Int): Boolean

    Delete the port number to which a scala compile server was connected

11.  def echo(msg: String): Unit
    Definition Classes
      CompileOutputCommon
12.  def ensuring(cond: (CompileSocket) => Boolean, msg: => Any): CompileSocket
    Implicit
      This member is added by an implicit conversion from CompileSocket toEnsuring[CompileSocket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (CompileSocket) => Boolean): CompileSocket
    Implicit
      This member is added by an implicit conversion from CompileSocket toEnsuring[CompileSocket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): CompileSocket
    Implicit
      This member is added by an implicit conversion from CompileSocket toEnsuring[CompileSocket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): CompileSocket
    Implicit
      This member is added by an implicit conversion from CompileSocket toEnsuring[CompileSocket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def fatal(msg: String): Nothing
    Definition Classes
      CompileOutputCommon
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  var fixPort: Int
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CompileSocket toStringFormat[CompileSocket] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def getOrCreateSocket(vmArgs: String, create: Boolean = true, fixedPort: Int = 0): Option[Socket]

    Get a socket connected to a daemon.

    Get a socket connected to a daemon. If create is true, then create a new daemon if necessary. Returns None if the connection cannot be established.

24.  def getPassword(port: Int): String
25.  def getPort(vmArgs: String): Int

    Get the port number to which a scala compile server is connected; If no server is running yet, then create one.

26.  def getSocket(hostName: String, port: Int): Option[Socket]
27.  def getSocket(serverAdr: String): Option[Socket]
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def info(msg: String): Unit
    Definition Classes
      CompileOutputCommon
30.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
31.  def mkDaemonDir(name: String): Directory
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  def portFile(port: Int): File

    The port identification file

36.  val serverClass: String

    The class name of the scala compile server

    The class name of the scala compile server

    Attributes
      protected
37.  def serverClassArgs: collection.immutable.List[String]
    Attributes
      protected
38.  def setPort(port: Int): Unit

    Set the port number to which a scala compile server is connected

39.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      AnyRef → Any
41.  def verbose: Boolean
    Definition Classes
      CompileSocket → CompileOutputCommon
42.  def verbose_=(v: Boolean): Unit
43.  val vmCommand: String

    The vm part of the command to start a new scala compile server

    The vm part of the command to start a new scala compile server

    Attributes
      protected
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
47.  def warn(msg: String): Unit
    Definition Classes
      CompileOutputCommon

### Deprecated Value Members

1.  def →[B](y: B): (CompileSocket, B)
   Implicit
     This member is added by an implicit conversion from CompileSocket toArrowAssoc[CompileSocket] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from CompileOutputCommon

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromCompileSocket to any2stringadd[CompileSocket]

### Inherited by implicit conversion StringFormat fromCompileSocket to StringFormat[CompileSocket]

### Inherited by implicit conversion Ensuring fromCompileSocket to Ensuring[CompileSocket]

### Inherited by implicit conversion ArrowAssoc fromCompileSocket to ArrowAssoc[CompileSocket]

### Ungrouped